
package com.tmerclub.cloud.common.product.bo;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/11/12
 */
public class EsDeliveryModeBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户自提
     */
    private Boolean hasUserPickUp;

    /**
     * 店铺配送
     */
    private Boolean hasShopDelivery;

    /**
     * 同城配送
     */
    private Boolean hasCityDelivery;

    public Boolean getHasUserPickUp() {
        return hasUserPickUp;
    }

    public void setHasUserPickUp(Boolean hasUserPickUp) {
        this.hasUserPickUp = hasUserPickUp;
    }

    public Boolean getHasShopDelivery() {
        return hasShopDelivery;
    }

    public void setHasShopDelivery(Boolean hasShopDelivery) {
        this.hasShopDelivery = hasShopDelivery;
    }

    public Boolean getHasCityDelivery() {
        return hasCityDelivery;
    }

    public void setHasCityDelivery(Boolean hasCityDelivery) {
        this.hasCityDelivery = hasCityDelivery;
    }

    @Override
    public String toString() {
        return "EsDeliveryModeBO{" +
                "hasUserPickUp=" + hasUserPickUp +
                ", hasShopDelivery=" + hasShopDelivery +
                ", hasCityDelivery=" + hasCityDelivery +
                '}';
    }
}
